View Issue Details

IDProjectCategoryView StatusLast Update
0000939FreeCADBugpublic2017-03-27 08:33
ReporterghiaAssigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.12 
Target VersionFixed in Version0.13 
Summary0000939: Pressing Escape while pivoting a box crashes
DescriptionCreate a box from the Part workbench
Double click Box in the treeview
The 3D circles and arrow crosses for manipulating the box appears arround the box
Middle mouse button click and hold can drag the box while moving
Middle + left mouse button click and hold can rotate the box while moving
Left mouse button click and hold on a face can pivot the shape (around the origin?)
So far so good
Repeat the last operation (Left mouse button click and hold on a face to pivot) and press ESCape on the keybord, while pivoting and the mousekey is hold down.
Result is that the program crashes (windows 7)
Additional InformationWhy did I push Escape?
In other drawing programs, when you accidential move an object or you regret the move, you press Escape and the objects position is restored to its start position.
It is a kind of implicitit undo.

In FreeCad the Escape has no particular function in this respect.
When pressing Escape while doing the drag or rotation, this closes the 'edit mode' and the 3d circles and arrow crosses disappear, while the object can be further dragged or rotated as long as the mouse is hold and moved.

Only in the case of pivoting something bad happens.
TagsNo tags attached.

Activities

wmayer

2013-01-03 14:50

administrator   ~0002790

git show ef1190b (release 0.13 branch)
git show 9eb4174 (master)

Issue History

Date Modified Username Field Change
2013-01-02 11:10 ghia New Issue
2013-01-03 14:50 wmayer Note Added: 0002790
2013-01-03 14:50 wmayer Status new => closed
2013-01-03 14:50 wmayer Resolution open => fixed
2013-01-03 14:50 wmayer Fixed in Version => 0.13
2017-03-27 08:33 Kunda1 Changeset attached => FreeCAD releases ef1190bf